Up

# NSPopUpButtonCell

### Authors

Fred Kiefer (`FredKiefer@gmx.de`)
Michael Hanni (`mhanni@sprintmail.com`)

Copyright: (C) 1999 Free Software Foundation, Inc.

# Software documentation for the NSPopUpButtonCell class

## NSPopUpButtonCell : NSMenuItemCell

> Declared in:
>   AppKit/NSPopUpButtonCell.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -addItemWithTitle:
- -addItemsWithTitles:
- -altersStateOfSelectedItem
- -arrowPosition
- -attachPopUpWithFrame:inView:
- -autoenablesItems
- -dismissPopUp
- -indexOfItem:
- -indexOfItemWithRepresentedObject:
- -indexOfItemWithTag:
- -indexOfItemWithTarget:andAction:
- -indexOfItemWithTitle:
- -indexOfSelectedItem
- -initTextCell:pullsDown:
- -insertItemWithTitle:atIndex:
- -itemArray
- -itemAtIndex:
- -itemTitleAtIndex:
- -itemTitles
- -itemWithTitle:
- -lastItem
- -menu
- -numberOfItems
- -performClickWithFrame:inView:
- -preferredEdge
- -pullsDown
- -removeAllItems
- -removeItemAtIndex:
- -removeItemWithTitle:
- -selectItem:
- -selectItemAtIndex:
- -selectItemWithTitle:
- -selectedItem
- -setAltersStateOfSelectedItem:
- -setArrowPosition:
- -setAutoenablesItems:
- -setMenu:
- -setPreferredEdge:
- -setPullsDown:
- -setTitle:
- -setUsesItemFromMenu:
- -synchronizeTitleAndSelectedItem
- -titleOfSelectedItem
- -usesItemFromMenu

### addItemWithTitle:

- (void) addItemWithTitle: (NSString*)title;

Description forthcoming.

### addItemsWithTitles:

- (void) addItemsWithTitles: (NSArray*)itemTitles;

Description forthcoming.

### altersStateOfSelectedItem

- (BOOL) altersStateOfSelectedItem;

Description forthcoming.

### arrowPosition

- (NSPopUpArrowPosition) arrowPosition;

Description forthcoming.

### attachPopUpWithFrame:inView:

- (void) attachPopUpWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;

Description forthcoming.

### autoenablesItems

- (BOOL) autoenablesItems;

Description forthcoming.

### dismissPopUp

- (void) dismissPopUp;

Description forthcoming.

### indexOfItem:

- (int) indexOfItem: (id<NSMenuItem>)item;

Description forthcoming.

### indexOfItemWithRepresentedObject:

- (int) indexOfItemWithRepresentedObject: (id)obj;

Description forthcoming.

### indexOfItemWithTag:

- (int) indexOfItemWithTag: (int)aTag;

Description forthcoming.

### indexOfItemWithTarget:andAction:

- (int) indexOfItemWithTarget: (id)aTarget andAction: (SEL)actionSelector;

Description forthcoming.

### indexOfItemWithTitle:

- (int) indexOfItemWithTitle: (NSString*)title;

Description forthcoming.

### indexOfSelectedItem

- (int) indexOfSelectedItem;

Description forthcoming.

### initTextCell:pullsDown:

- (id) initTextCell: (NSString*)stringValue pullsDown: (BOOL)pullDown;

Description forthcoming.

### insertItemWithTitle:atIndex:

- (void) insertItemWithTitle: (NSString*)title atIndex: (int)index;

Description forthcoming.

### itemArray

- (NSArray*) itemArray;

Description forthcoming.

### itemAtIndex:

- (id<NSMenuItem>) itemAtIndex: (int)index;

Description forthcoming.

### itemTitleAtIndex:

- (NSString*) itemTitleAtIndex: (int)index;

Description forthcoming.

### itemTitles

- (NSArray*) itemTitles;

Description forthcoming.

### itemWithTitle:

- (id<NSMenuItem>) itemWithTitle: (NSString*)title;

Description forthcoming.

### lastItem

- (id<NSMenuItem>) lastItem;

Description forthcoming.

### menu

- (NSMenu*) menu;

Description forthcoming.

### numberOfItems

- (int) numberOfItems;

Description forthcoming.

### performClickWithFrame:inView:

- (void) performClickWithFrame: (NSRect)frame inView: (NSView*)controlView;

Description forthcoming.

### preferredEdge

- (NSRectEdge) preferredEdge;

Description forthcoming.

### pullsDown

- (BOOL) pullsDown;

Description forthcoming.

### removeAllItems

- (void) removeAllItems;

Description forthcoming.

### removeItemAtIndex:

- (void) removeItemAtIndex: (int)index;

Description forthcoming.

### removeItemWithTitle:

- (void) removeItemWithTitle: (NSString*)title;

Description forthcoming.

### selectItem:

- (void) selectItem: (id<NSMenuItem>)item;

Description forthcoming.

### selectItemAtIndex:

- (void) selectItemAtIndex: (int)index;

Description forthcoming.

### selectItemWithTitle:

- (void) selectItemWithTitle: (NSString*)title;

Description forthcoming.

### selectedItem

- (id<NSMenuItem>) selectedItem;

Description forthcoming.

### setAltersStateOfSelectedItem:

- (void) setAltersStateOfSelectedItem: (BOOL)flag;

Description forthcoming.

### setArrowPosition:

- (void) setArrowPosition: (NSPopUpArrowPosition)position;

Description forthcoming.

### setAutoenablesItems:

- (void) setAutoenablesItems: (BOOL)flag;

Description forthcoming.

### setMenu:

- (void) setMenu: (NSMenu*)menu;

Description forthcoming.

### setPreferredEdge:

- (void) setPreferredEdge: (NSRectEdge)edge;

Description forthcoming.

### setPullsDown:

- (void) setPullsDown: (BOOL)flag;

Description forthcoming.

### setTitle:

- (void) setTitle: (NSString*)aString;

Description forthcoming.

### setUsesItemFromMenu:

- (void) setUsesItemFromMenu: (BOOL)flag;

Description forthcoming.

### synchronizeTitleAndSelectedItem

- (void) synchronizeTitleAndSelectedItem;

Description forthcoming.

### titleOfSelectedItem

- (NSString*) titleOfSelectedItem;

Description forthcoming.

### usesItemFromMenu

- (BOOL) usesItemFromMenu;

Description forthcoming.

Up